Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icerhg.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icerhg.F90	(revision 8530)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icerhg.F90	(revision 8531)
@@ -101,22 +101,22 @@
       !!      dynamics
       !!
-      !! ** Method  :  Read the namice_rhg namelist and check the ice-dynamic
+      !! ** Method  :  Read the namdyn_rhg namelist and check the ice-dynamic
       !!       parameter values called at the first timestep (nit000)
       !!
-      !! ** input   :   Namelist namice_rhg
+      !! ** input   :   Namelist namdyn_rhg
       !!-------------------------------------------------------------------
       INTEGER ::   ios, ioptio   ! Local integer output status for namelist read
       !!
-      NAMELIST/namice_rhg/  ln_rhg_EVP, rn_creepl, rn_ecc , nn_nevp, rn_relast
+      NAMELIST/namdyn_rhg/  ln_rhg_EVP, rn_creepl, rn_ecc , nn_nevp, rn_relast
       !!-------------------------------------------------------------------
       !
-      REWIND( numnam_ice_ref )         ! Namelist namice_rhg in reference namelist : Ice dynamics
-      READ  ( numnam_ice_ref, namice_rhg, IOSTAT = ios, ERR = 901)
-901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_rhg in reference namelist', lwp )
+      REWIND( numnam_ice_ref )         ! Namelist namdyn_rhg in reference namelist : Ice dynamics
+      READ  ( numnam_ice_ref, namdyn_rhg, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namdyn_rhg in reference namelist', lwp )
       !
-      REWIND( numnam_ice_cfg )         ! Namelist namice_rhg in configuration namelist : Ice dynamics
-      READ  ( numnam_ice_cfg, namice_rhg, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_rhg in configuration namelist', lwp )
-      IF(lwm) WRITE ( numoni, namice_rhg )
+      REWIND( numnam_ice_cfg )         ! Namelist namdyn_rhg in configuration namelist : Ice dynamics
+      READ  ( numnam_ice_cfg, namdyn_rhg, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namdyn_rhg in configuration namelist', lwp )
+      IF(lwm) WRITE ( numoni, namdyn_rhg )
       !
       IF(lwp) THEN                     ! control print
@@ -124,10 +124,10 @@
          WRITE(numout,*) 'ice_rhg_init: ice parameters for ice dynamics '
          WRITE(numout,*) '~~~~~~~~~~~~'
-         WRITE(numout,*) '   Namelist namice_rhg'
-         WRITE(numout,*) '      rheology EVP (icerhg_evp)                                   ln_rhg_EVP    = ', ln_rhg_EVP
-         WRITE(numout,*) '         creep limit                                              rn_creepl     = ', rn_creepl
-         WRITE(numout,*) '         eccentricity of the elliptical yield curve               rn_ecc        = ', rn_ecc
-         WRITE(numout,*) '         number of iterations for subcycling                      nn_nevp       = ', nn_nevp
-         WRITE(numout,*) '         ratio of elastic timescale over ice time step            rn_relast     = ', rn_relast
+         WRITE(numout,*) '   Namelist namdyn_rhg:'
+         WRITE(numout,*) '      rheology EVP (icerhg_evp)                            ln_rhg_EVP = ', ln_rhg_EVP
+         WRITE(numout,*) '         creep limit                                       rn_creepl  = ', rn_creepl
+         WRITE(numout,*) '         eccentricity of the elliptical yield curve        rn_ecc     = ', rn_ecc
+         WRITE(numout,*) '         number of iterations for subcycling               nn_nevp    = ', nn_nevp
+         WRITE(numout,*) '         ratio of elastic timescale over ice time step     rn_relast  = ', rn_relast
       ENDIF
       !
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icerhg_evp.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icerhg_evp.F90	(revision 8530)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icerhg_evp.F90	(revision 8531)
@@ -253,5 +253,5 @@
 
       ! Ice strength
-      CALL ice_rdgrft_strength
+      CALL ice_strength
 
       ! scale factors
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icestp.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icestp.F90	(revision 8530)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icestp.F90	(revision 8531)
@@ -142,5 +142,5 @@
          ! --- ice dynamics and advection  --- !
          !-------------------------------------!
-         CALL ice_diag0             ! set diag of mass, heat and salt fluxes to 0
+         CALL diag_set0             ! set diag of mass, heat and salt fluxes to 0
          CALL ice_rst_opn( kt )     ! Open Ice restart file (if necessary) 
          !
@@ -243,5 +243,5 @@
       IF(lwm) CALL ctl_opn( numoni, 'output.namelist.ice', 'UNKNOWN', 'FORMATTED', 'SEQUENTIAL', -1, numout, lwp, 1 )
       !
-      CALL ice_run_init                ! set some ice run parameters
+      CALL par_init                ! set some ice run parameters
       !
       !                                ! Allocate the ice arrays (sbc_ice already allocated in sbc_init)
@@ -268,14 +268,12 @@
       CALL ice_var_glo2eqv
       !
+      CALL ice_forcing_init            ! set ice-ocean and ice-atm. coupling parameters
+      !
       IF( ln_icedyn ) THEN
          CALL ice_dyn_init             ! set ice dynamics parameters
-         CALL ice_rdgrft_init          ! set ice ridging/rafting parameters
-         CALL ice_rhg_init             ! set ice rheology parameters
-         CALL ice_adv_init             ! set ice advection parameters
       ENDIF
-
+      !
       IF( ln_icethd ) THEN
          CALL ice_thd_init             ! set ice thermodynics parameters
-         CALL ice_thd_sal_init         ! set ice salinity parameters
       ENDIF   
       !
@@ -299,40 +297,40 @@
 
 
-   SUBROUTINE ice_run_init
+   SUBROUTINE par_init
       !!-------------------------------------------------------------------
-      !!                  ***  ROUTINE ice_run_init ***
+      !!                  ***  ROUTINE par_init ***
       !!
       !! ** Purpose :   Definition some run parameter for ice model
       !!
-      !! ** Method  :   Read the namice_run namelist and check the parameter
+      !! ** Method  :   Read the nampar namelist and check the parameter
       !!                values called at the first timestep (nit000)
       !!
-      !! ** input   :   Namelist namice_run
+      !! ** input   :   Namelist nampar
       !!-------------------------------------------------------------------
       INTEGER  ::   ios                 ! Local integer output status for namelist read
-      NAMELIST/namice_run/ jpl, nlay_i, nlay_s, nn_monocat, ln_icedyn, ln_icethd, rn_amax_n, rn_amax_s,  &
-         &                 cn_icerst_in, cn_icerst_indir, cn_icerst_out, cn_icerst_outdir
+      NAMELIST/nampar/ jpl, nlay_i, nlay_s, nn_monocat, ln_icedyn, ln_icethd, rn_amax_n, rn_amax_s,  &
+         &             cn_icerst_in, cn_icerst_indir, cn_icerst_out, cn_icerst_outdir
       !!-------------------------------------------------------------------
       !
-      REWIND( numnam_ice_ref )      ! Namelist namice_run in reference namelist : Parameters for ice
-      READ  ( numnam_ice_ref, namice_run, IOSTAT = ios, ERR = 901)
-901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_run in reference namelist', lwp )
-
-      REWIND( numnam_ice_cfg )      ! Namelist namice_run in configuration namelist : Parameters for ice
-      READ  ( numnam_ice_cfg, namice_run, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_run in configuration namelist', lwp )
-      IF(lwm) WRITE ( numoni, namice_run )
+      REWIND( numnam_ice_ref )      ! Namelist nampar in reference namelist : Parameters for ice
+      READ  ( numnam_ice_ref, nampar, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampar in reference namelist', lwp )
+
+      REWIND( numnam_ice_cfg )      ! Namelist nampar in configuration namelist : Parameters for ice
+      READ  ( numnam_ice_cfg, nampar, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampar in configuration namelist', lwp )
+      IF(lwm) WRITE ( numoni, nampar )
       !
       IF(lwp) THEN                  ! control print
          WRITE(numout,*)
-         WRITE(numout,*) 'ice_run_init : ice share parameters for dynamics/advection/thermo of sea-ice'
-         WRITE(numout,*) ' ~~~~~~'
-         WRITE(numout,*) '   Namelist namice_run : '
+         WRITE(numout,*) 'par_init: ice parameters shared among all the routines'
+         WRITE(numout,*) ' ~~~~~~~'
+         WRITE(numout,*) '   Namelist nampar: '
          WRITE(numout,*) '      number of ice  categories                              jpl    = ', jpl
          WRITE(numout,*) '      number of ice  layers                                  nlay_i = ', nlay_i
          WRITE(numout,*) '      number of snow layers                                  nlay_s = ', nlay_s
          WRITE(numout,*) '      virtual ITD mono-category param (1-4) or not (0)   nn_monocat = ', nn_monocat
-         WRITE(numout,*) '      Ice dynamics       (T) or not (F)                  ln_icedyn  = ', ln_icedyn
-         WRITE(numout,*) '      Ice thermodynamics (T) or not (F)                  ln_icethd  = ', ln_icethd
+         WRITE(numout,*) '      Ice dynamics       (T) or not (F)                   ln_icedyn = ', ln_icedyn
+         WRITE(numout,*) '      Ice thermodynamics (T) or not (F)                   ln_icethd = ', ln_icethd
          WRITE(numout,*) '      maximum ice concentration for NH                              = ', rn_amax_n 
          WRITE(numout,*) '      maximum ice concentration for SH                              = ', rn_amax_s
@@ -346,8 +344,8 @@
       ENDIF
       IF ( jpl == 1 .AND. nn_monocat == 0 ) THEN
-         CALL ctl_stop( 'STOP', 'ice_run_init : if jpl=1 then nn_monocat should be between 1 and 4' )
+         CALL ctl_stop( 'STOP', 'par_init : if jpl=1 then nn_monocat should be between 1 and 4' )
       ENDIF
       !
-      IF( ln_bdy .AND. ln_icediachk )   CALL ctl_warn('ice_run_init: online conservation check does not work with BDY')
+      IF( ln_bdy .AND. ln_icediachk )   CALL ctl_warn('par_init: online conservation check does not work with BDY')
       !
       rdt_ice   = REAL(nn_fsbc) * rdt          !--- sea-ice timestep and inverse
@@ -358,5 +356,5 @@
       r1_nlay_s = 1._wp / REAL( nlay_s, wp )
       !
-   END SUBROUTINE ice_run_init
+   END SUBROUTINE par_init
 
 
@@ -393,7 +391,7 @@
 
 
-   SUBROUTINE ice_diag0
-      !!----------------------------------------------------------------------
-      !!                  ***  ROUTINE ice_diag0  ***
+   SUBROUTINE diag_set0
+      !!----------------------------------------------------------------------
+      !!                  ***  ROUTINE diag_set0  ***
       !!
       !! ** purpose :  set ice-ocean and ice-atm. fluxes to zeros at the beggining
@@ -442,5 +440,5 @@
       tau_icebfr(:,:) = 0._wp; ! landfast ice param only (clem: important to keep the init here)
       
-   END SUBROUTINE ice_diag0
+   END SUBROUTINE diag_set0
 
 #else
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd.F90	(revision 8530)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd.F90	(revision 8531)
@@ -28,10 +28,10 @@
       &                 fr1_i0, fr2_i0
    USE ice1D          ! thermodynamic sea-ice variables
-   USE icethd_dif     ! vertical diffusion
+   USE icethd_zdf     ! vertical diffusion
    USE icethd_dh      ! ice-snow growth and melt
    USE icethd_da      ! lateral melting
    USE icethd_sal     ! ice salinity
    USE icethd_ent     ! ice enthalpy redistribution
-   USE icethd_lac     ! lateral accretion
+   USE icethd_do      ! lateral accretion
    USE iceitd         ! remapping thickness distribution
    USE icetab         ! 1D <==> 2D transformation
@@ -51,4 +51,10 @@
    PUBLIC   ice_thd_init    ! called by ice_init
 
+   !!** namelist (namthd) **
+   LOGICAL ::   ln_icedH         ! activate ice thickness change from growing/melting (T) or not (F)
+   LOGICAL ::   ln_icedA         ! activate lateral melting param. (T) or not (F)
+   LOGICAL ::   ln_icedO         ! activate ice growth in open-water (T) or not (F)
+   LOGICAL ::   ln_icedS         ! activate gravity drainage and flushing (T) or not (F)
+
    !! * Substitutions
 #  include "vectopt_loop_substitute.h90"
@@ -70,9 +76,11 @@
       !!               at the ice base, snow acc.,heat budget of the leads)
       !!             - selection of the icy points and put them in an array
-      !!             - call ice_thd_dif  for vertical heat diffusion
+      !!             - call ice_thd_zdf  for vertical heat diffusion
       !!             - call ice_thd_dh   for vertical ice growth and melt
       !!             - call ice_thd_ent  for enthalpy remapping
       !!             - call ice_thd_sal  for ice desalination
       !!             - call ice_thd_temp to  retrieve temperature from ice enthalpy
+      !!             - call ice_thd_lam  for extra lateral ice melt if monocat
+      !!             - call ice_thd_da   for lateral ice melt
       !!             - back to the geographic grid
       !!---------------------------------------------------------------------
@@ -223,10 +231,10 @@
             !
             IF( ln_icedH ) THEN                                     ! --- growing/melting --- !
-                              CALL ice_thd_dif                             ! Ice/Snow Temperature profile
+                              CALL ice_thd_zdf                             ! Ice/Snow Temperature profile
                               CALL ice_thd_dh                              ! Ice/Snow thickness   
                               CALL ice_thd_ent( e_i_1d(1:nidx,:) )         ! Ice enthalpy remapping
             ENDIF
             !
-                              CALL ice_thd_sal                      ! --- Ice salinity --- !    
+                              CALL ice_thd_sal( ln_icedS )          ! --- Ice salinity --- !    
             !
                               CALL ice_thd_temp                     ! --- temperature update --- !
@@ -261,5 +269,5 @@
       IF( jpl > 1 )        CALL ice_itd_rem( kt )          ! --- Transport ice between thickness categories --- !
       !
-      IF( ln_icedO )       CALL ice_thd_lac                ! --- frazil ice growing in leads --- !
+      IF( ln_icedO )       CALL ice_thd_do                 ! --- frazil ice growing in leads --- !
       !
       ! controls
@@ -523,81 +531,46 @@
       !!                   ***  ROUTINE ice_thd_init *** 
       !!                 
-      !! ** Purpose :   Physical constants and parameters linked to the ice 
-      !!              thermodynamics
+      !! ** Purpose :   Physical constants and parameters associated with
+      !!                ice thermodynamics
       !!
-      !! ** Method  :   Read the namice_thd namelist and check the ice-thermo
-      !!              parameter values called at the first timestep (nit000)
+      !! ** Method  :   Read the namthd namelist and check the parameters
+      !!                called at the first timestep (nit000)
       !!
-      !! ** input   :   Namelist namicether
+      !! ** input   :   Namelist namthd
       !!-------------------------------------------------------------------
       INTEGER  ::   ios   ! Local integer output status for namelist read
       !!
-      NAMELIST/namice_thd/ rn_kappa_i, ln_cndi_U64, ln_cndi_P07, ln_dqns_i, rn_cnd_s,   &
-         &                 ln_icedH, rn_blow_s,                                                    &
-         &                 ln_icedA, rn_beta, rn_dmin,                                             &
-         &                 ln_icedO, rn_hinew, ln_frazil, rn_maxfraz, rn_vfraz, rn_Cfraz,          &
-         &                 nn_iceflx
+      NAMELIST/namthd/ ln_icedH, ln_icedA, ln_icedO, ln_icedS
       !!-------------------------------------------------------------------
       !
-      REWIND( numnam_ice_ref )              ! Namelist namice_thd in reference namelist : Ice thermodynamics
-      READ  ( numnam_ice_ref, namice_thd, IOSTAT = ios, ERR = 901)
-901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_thd in reference namelist', lwp )
-
-      REWIND( numnam_ice_cfg )              ! Namelist namice_thd in configuration namelist : Ice thermodynamics
-      READ  ( numnam_ice_cfg, namice_thd, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_thd in configuration namelist', lwp )
-      IF(lwm) WRITE ( numoni, namice_thd )
+      REWIND( numnam_ice_ref )              ! Namelist namthd in reference namelist : Ice thermodynamics
+      READ  ( numnam_ice_ref, namthd, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namthd in reference namelist', lwp )
+
+      REWIND( numnam_ice_cfg )              ! Namelist namthd in configuration namelist : Ice thermodynamics
+      READ  ( numnam_ice_cfg, namthd, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namthd in configuration namelist', lwp )
+      IF(lwm) WRITE ( numoni, namthd )
       !
       !
       IF(lwp) THEN                          ! control print
-         WRITE(numout,*) 'ice_thd_init : Ice Thermodynamics'
-         WRITE(numout,*) '~~~~~~~~~~~~~'
-         WRITE(numout,*) '   Namelist namice_thd'
-         WRITE(numout,*) '   -- icethd_dif --'
-         WRITE(numout,*) '      extinction radiation parameter in sea ice               rn_kappa_i   = ', rn_kappa_i
-         WRITE(numout,*) '      thermal conductivity in the ice (Untersteiner 1964)     ln_cndi_U64  = ', ln_cndi_U64
-         WRITE(numout,*) '      thermal conductivity in the ice (Pringle et al 2007)    ln_cndi_P07  = ', ln_cndi_P07
-         WRITE(numout,*) '      change the surface non-solar flux with Tsu or not       ln_dqns_i    = ', ln_dqns_i
-         WRITE(numout,*) '      thermal conductivity of the snow                        rn_cnd_s     = ', rn_cnd_s
-         WRITE(numout,*) '   -- icethd_dh --'
-         WRITE(numout,*) '      activate ice thick change from top/bot (T) or not (F)   ln_icedH     = ', ln_icedH
-         WRITE(numout,*) '      coefficient for ice-lead partition of snowfall          rn_blow_s    = ', rn_blow_s
-         WRITE(numout,*) '   -- icethd_da --'
-         WRITE(numout,*) '      activate lateral melting (T) or not (F)                 ln_icedA     = ', ln_icedA
-         WRITE(numout,*) '      Coef. beta for lateral melting param.                   rn_beta      = ', rn_beta
-         WRITE(numout,*) '      Minimum floe diameter for lateral melting param.        rn_dmin      = ', rn_dmin
-         WRITE(numout,*) '   -- icethd_lac --'
-         WRITE(numout,*) '      activate ice growth in open-water (T) or not (F)        ln_icedO     = ', ln_icedO
-         WRITE(numout,*) '      ice thickness for lateral accretion                     rn_hinew     = ', rn_hinew
-         WRITE(numout,*) '      Frazil ice thickness as a function of wind or not       ln_frazil    = ', ln_frazil
-         WRITE(numout,*) '      Maximum proportion of frazil ice collecting at bottom   rn_maxfraz   = ', rn_maxfraz
-         WRITE(numout,*) '      Threshold relative drift speed for collection of frazil rn_vfraz     = ', rn_vfraz
-         WRITE(numout,*) '      Squeezing coefficient for collection of frazil          rn_Cfraz     = ', rn_Cfraz
-         WRITE(numout,*) '   -- icestp --'
-         WRITE(numout,*) '      Multicategory heat flux formulation                     nn_iceflx    = ', nn_iceflx
+         WRITE(numout,*) 'ice_thd_init: Ice Thermodynamics'
+         WRITE(numout,*) '~~~~~~~~~~~~'
+         WRITE(numout,*) '   Namelist namthd:'
+         WRITE(numout,*) '      activate ice thick change from top/bot (T) or not (F)   ln_icedH  = ', ln_icedH
+         WRITE(numout,*) '      activate lateral melting (T) or not (F)                 ln_icedA  = ', ln_icedA
+         WRITE(numout,*) '      activate ice growth in open-water (T) or not (F)        ln_icedO  = ', ln_icedO
+         WRITE(numout,*) '      activate gravity drainage and flushing (T) or not (F)   ln_icedS  = ', ln_icedS
+     ENDIF
+      !
+                       CALL ice_thd_zdf_init   ! set ice heat diffusion parameters
+      IF( ln_icedA )   CALL ice_thd_da_init    ! set ice lateral melting parameters
+      IF( ln_icedO )   CALL ice_thd_do_init    ! set ice growth in open water parameters
+                       CALL ice_thd_sal_init   ! set ice salinity parameters
+      !
+      IF( ln_icedS .AND. nn_icesal == 1 ) THEN
+         ln_icedS = .FALSE.
+         CALL ctl_warn('ln_icedS is set to false since constant ice salinity is chosen (nn_icesal=1)')
       ENDIF
-      !
-      IF ( ( ln_cndi_U64 .AND. ln_cndi_P07 ) .OR. ( .NOT.ln_cndi_U64 .AND. .NOT.ln_cndi_P07 ) ) THEN
-         CALL ctl_stop( 'ice_thd_init: choose one and only one formulation for thermal conductivity (ln_cndi_U64 or ln_cndi_P07)' )
-      ENDIF
-      !
-      IF ( rn_hinew < rn_himin )   CALL ctl_stop( 'ice_thd_init : rn_hinew should be >= rn_himin' )
-      !
-      IF(lwp) WRITE(numout,*)
-      SELECT CASE( nn_iceflx )         ! LIM3 Multi-category heat flux formulation
-      CASE( -1  )
-         IF(lwp) WRITE(numout,*) '   LIM3: use per-category fluxes (nn_iceflx = -1) '
-         IF( ln_cpl )   CALL ctl_stop( 'ice_thd_init : the chosen nn_iceflx for LIM3 in coupled mode must be 0 or 2' )
-      CASE(  0  )
-         IF(lwp) WRITE(numout,*) '   LIM3: use average per-category fluxes (nn_iceflx = 0) '
-      CASE(  1  )
-         IF(lwp) WRITE(numout,*) '   LIM3: use average then redistribute per-category fluxes (nn_iceflx = 1) '
-         IF( ln_cpl )   CALL ctl_stop( 'ice_thd_init : the chosen nn_iceflx for LIM3 in coupled mode must be 0 or 2' )
-      CASE(  2  )
-         IF(lwp) WRITE(numout,*) '   LIM3: Redistribute a single flux over categories (nn_iceflx = 2) '
-         IF( .NOT. ln_cpl )   CALL ctl_stop( 'ice_thd_init : the chosen nn_iceflx for LIM3 in forced mode cannot be 2' )
-      CASE DEFAULT
-         CALL ctl_stop( 'ice_thd_init: LIM3 option, nn_iceflx, should be between -1 and 2' )
-      END SELECT
       !
    END SUBROUTINE ice_thd_init
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_da.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_da.F90	(revision 8530)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_da.F90	(revision 8531)
@@ -17,4 +17,5 @@
    USE ice1D          ! sea-ice: thermodynamic 1D variables
    !
+   USE in_out_manager ! I/O manager
    USE lib_mpp        ! MPP library
    USE lib_fortran    ! Fortran utilities (allows no signed zero when 'key_nosignedzero' defined)  
@@ -23,5 +24,10 @@
    PRIVATE
 
-   PUBLIC   ice_thd_da   ! called by icethd.F90
+   PUBLIC   ice_thd_da        ! called by icethd.F90
+   PUBLIC   ice_thd_da_init   ! called by icestp.F90
+
+   ! ** namelist (namthd_da) **
+   REAL(wp) ::   rn_beta     ! coef. beta for lateral melting param.
+   REAL(wp) ::   rn_dmin     ! minimum floe diameter for lateral melting param.
 
    !!----------------------------------------------------------------------
@@ -149,5 +155,42 @@
       !
    END SUBROUTINE ice_thd_da
-   
+
+   SUBROUTINE ice_thd_da_init
+      !!-----------------------------------------------------------------------
+      !!                   ***  ROUTINE ice_thd_da_init *** 
+      !!                 
+      !! ** Purpose :   Physical constants and parameters associated with
+      !!                ice thermodynamics
+      !!
+      !! ** Method  :   Read the namthd_da namelist and check the parameters
+      !!                called at the first timestep (nit000)
+      !!
+      !! ** input   :   Namelist namthd_da
+      !!-------------------------------------------------------------------
+      INTEGER  ::   ios   ! Local integer output status for namelist read
+      !!
+      NAMELIST/namthd_da/ rn_beta, rn_dmin
+      !!-------------------------------------------------------------------
+      !
+      REWIND( numnam_ice_ref )              ! Namelist namthd_da in reference namelist : Ice thermodynamics
+      READ  ( numnam_ice_ref, namthd_da, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namthd_da in reference namelist', lwp )
+
+      REWIND( numnam_ice_cfg )              ! Namelist namthd_da in configuration namelist : Ice thermodynamics
+      READ  ( numnam_ice_cfg, namthd_da, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namthd_da in configuration namelist', lwp )
+      IF(lwm) WRITE ( numoni, namthd_da )
+      !
+      !
+      IF(lwp) THEN                          ! control print
+         WRITE(numout,*) 'ice_thd_da_init: Ice lateral melting'
+         WRITE(numout,*) '~~~~~~~~~~~~~~~'
+         WRITE(numout,*) '   Namelist namthd_da:'
+         WRITE(numout,*) '      Coef. beta for lateral melting param.               rn_beta = ', rn_beta
+         WRITE(numout,*) '      Minimum floe diameter for lateral melting param.    rn_dmin = ', rn_dmin
+      ENDIF
+      !
+   END SUBROUTINE ice_thd_da_init
+  
 #else
    !!----------------------------------------------------------------------
